Update Geo Block Settings
update streams geoblock setting
curl -X POST "https://api.5centscdn.com/v2/streams/settings/security/geoblock" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"policy": "N",
"list": [
"US",
"GB",
"IN"
],
"ips": "192.168.0.1",
"mode": "save"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/settings/security/geoblock"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"policy": "N",
"list": [
"US",
"GB",
"IN"
],
"ips": "192.168.0.1",
"mode": "save"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/settings/security/geoblock", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"policy": "N",
"list": [
"US",
"GB",
"IN"
],
"ips": "192.168.0.1",
"mode": "save"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"policy": "N",
"list": [
"US",
"GB",
"IN"
],
"ips": "192.168.0.1",
"mode": "save"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/settings/security/geoblock", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/settings/security/geoblock')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"policy": "N",
"list": [
"US",
"GB",
"IN"
],
"ips": "192.168.0.1",
"mode": "save"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Settings Updated. Please wait till the deployment completes."
}
/streams/settings/security/geoblock
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Values can be Y or N. Set to Y if Geo Block should be enabled. Set to N if Geo Block should not be enabled.
Values can be Y or N. Set to Y if geoblock countries list should be allowed. Set to N if geoblock countries list should be blocked.
List of ISO 3166-1 alpha-2 country codes to allow or block based on the policy. Each entry must be a valid two-letter country code (e.g. US for United States, GB for United Kingdom, IN for India).
List of IPs to whitelist when geoblock is enabled. IPs should be separated by comma.
Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. append — appends the values to existing streams data and updates. overwrite — overwrites the existing streams values, replacing them and updates.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Values can be Y or N. Set to Y if Geo Block should be enabled. Set to N if Geo Block should not be enabled.
YValues can be Y or N. Set to Y if geoblock countries list should be allowed. Set to N if geoblock countries list should be blocked.
NList of ISO 3166-1 alpha-2 country codes to allow or block based on the policy. Each entry must be a valid two-letter country code (e.g. US for United States, GB for United Kingdom, IN for India).
["US","GB","IN"]List of IPs to whitelist when geoblock is enabled. IPs should be separated by comma.
192.168.0.1Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. append — appends the values to existing streams data and updates. overwrite — overwrites the existing streams values, replacing them and updates.
saveResponses
Status of the API response.
Human-readable message describing the result.